Set heading off
Set linesize 1000

spool createroll.sql

select 'Create rollback segment '|| segment_name ||' '||'storage (initial '|| INITIAL_EXTENT ||
' NEXT '||NEXT_EXTENT ||' ' || 'MINEXTENTS'||' '|| MIN_EXTENTS ||')'|| 'TABLESPACE '|| TABLESPACE_NAME ||';'
FROM DBA_ROLLBACK_SEGS WHERE TABLESPACE_NAME <>'SYSTEM';

spool off;
